"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (sequelize, DataTypes) {
  return sequelize.define('users', {
    user_id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true
    },
    profile_id_profiles: {
      type: DataTypes.INTEGER,
      allowNull: false,
      references: {
        "model": "profiles",
        "key": "profile_id"
      }
    },
    signon_type: {
      type: DataTypes.ENUM('local', 'google', 'facebook', 'twitter', 'github'),
      allowNull: false,
      defaultValue: "local"
    },
    username: {
      type: DataTypes.STRING,
      allowNull: false
    },
    email: {
      type: DataTypes.STRING,
      allowNull: false
    },
    password: {
      type: DataTypes.STRING,
      allowNull: true
    },
    user_salt: {
      type: DataTypes.STRING,
      allowNull: true
    },
    user_state: {
      type: DataTypes.ENUM('verifying', 'enabled', 'disabled'),
      allowNull: false,
      defaultValue: "verifying"
    },
    first_name: {
      type: DataTypes.STRING,
      allowNull: true
    },
    last_name: {
      type: DataTypes.STRING,
      allowNull: true
    },
    google_id: {
      type: DataTypes.STRING,
      allowNull: true
    },
    account_image: {
      type: DataTypes.STRING,
      allowNull: true
    },
    account_google_url: {
      type: DataTypes.STRING,
      allowNull: true
    }
  }, {
    tableName: 'users',
    timestamps: false,
    freezeTableName: true
  });
};